[systemd-devel] [PATCH] buildsys: don't look for vala without --enable-gtk

Tom Gundersen teg at jklm.no
Fri Jan 21 11:41:43 PST 2011

On Fri, Jan 21, 2011 at 7:06 PM, Lennart Poettering
<lennart at poettering.net> wrote:
> Kay just lowered the vala requirement form 0.11 to 0.10, since
> apparently systemd compiles fine with that, too.

Great. That solves it as far as I'm concerned.

>> In other words, why not treat "vala < 0.11" the same way as we treat
>> "no vala at all" (which I thought was the intention of Dave's patch)?
> Hmm, no idea? I assumed that was how we treated things. If we don't
> treat it like that isn't that something that should be fixed in the vala
> autoconf macros?

I must admit that I don't understand buildsystem magic enough to say
where or how it should be fixed.

FWIW, this is what I observe:
If you don't have vala installed, the vala-specific stuff is disabled
and the rest builds fine.
If you have a too old vala installed you get some complaints about
this and systemd does not build at all.



More information about the systemd-devel mailing list